Feature: Support tags
  In order to support all features of cucumber
  As a developer using chickumber
  I want to be able to specify hooks on tags

Background:
 Given a standard Cucumber project directory structure
 And a file named "features/wired.feature" with:
 """
 Feature: High strung
   Scenario: Wired
     Given we're all wired

   @example  
   Scenario: Wired with tags  
     Given we're on tags
     
 """
 And a file named "features/step_definitions/some_remote_place.wire" with:
 """
 host: localhost
 port: 54321
 
 """

@wip @david
Scenario: Run hooks for single tag
  Given a file named "features/step_definitions/one_tag.scm" with:
  """
  (Before (example)
   (set! ($ 'example) "set"))
   
  (Given #/we're on tags/ ()
    (equal? ($ 'example) "example"))

  (Given #/we're all wired/ #t)
  """
  And there is a wire server running on port 54321 with stepfiles "features/step_definitions/one_tag.scm"
  When I run cucumber --no-snippets -f progress --tags @example
  Then it should pass with
  """
  .
  
  1 scenario (1 passed)
  1 step (1 passed)


  """
  
